EMF::EMRARC(3)

NAME
EMF::EMRARC - EMF Arc.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRARC.

  Public Member Functions

EMRARC (INT left, INT top, INT right, INT bottom, INT xstart, INT ystart, INT xend, INT yend)
EMRARC (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Arc.

Draw an arc. Not sure what the specification here means, though.

Constructor & Destructor Documentation

  EMF::EMRARC::EMRARC (INT left, INT top, INT right, INT bottom, INT xstart, INT ystart, INT xend, INT yend) [inline]
Take these descriptions with a grain of salt...

Parameters
    left x position of left edge of arc box.
    top y position of top edge of arc box.
    right x position of right edge of arc box.
    bottom y position bottom edge of arc box.
    xstart x position of arc start.
    ystart y position of arc start.
    xend x position of arc end.
    yend y position of arc end.

  EMF::EMRARC::EMRARC (DATASTREAM & ds) [inline]
Construct an Arc record from the input datastream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRARC::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRARC::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRARC::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.